Cyberduck Mountain Duck CLI

#6716 closed enhancement (fixed)

Use more options from ~/.ssh/config

Reported by: Will Fiveash Owned by: dkocher
Priority: low Milestone: 4.4
Component: sftp Version: 4.2.1
Severity: normal Keywords:
Cc: nick.hibma@… Architecture:
Platform:

Description (last modified by dkocher)

I would like cyberduck to be able to use entries in my ~/.ssh/config file such as:

Host readynaswan
    HostKeyAlias readynas
    Hostname myhouse.ip.net
    # this port # is one router maps to standard ssh port on LAN side
    Port 40402
    GSSAPIAuthentication no
    GSSAPIDelegateCredentials no
    ForwardX11 yes
    ForwardX11Trusted no
    ForwardAgent no

when I'm connecting using sftp. Currently cyberduck will use the Host and Hostname field but not the HostKeyAlias or Port fields.

Change History (7)

comment:1 Changed on Jun 14, 2012 at 12:51:07 PM by dkocher

  • Component changed from core to sftp
  • Description modified (diff)
  • Owner set to dkocher

comment:2 Changed on Jun 15, 2012 at 9:22:27 AM by dkocher

  • Summary changed from cyberduck should use more info from ~/.ssh/config to Use more options from ~/.ssh/config

comment:3 Changed on Oct 10, 2012 at 7:27:53 AM by Nick Hibma

  • Cc nick.hibma@… added

How about PreferredAuthentication?

comment:4 Changed on Jul 8, 2013 at 5:05:16 PM by Coroos

+1 for Port!

comment:5 Changed on Sep 11, 2013 at 2:39:08 PM by dkocher

  • Priority changed from normal to low

comment:6 Changed on Sep 11, 2013 at 2:57:47 PM by dkocher

Added reading Port option in r12847.

comment:7 Changed on Sep 23, 2013 at 3:32:14 PM by dkocher

  • Milestone set to 4.4
  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software